name: worka
description: Unified HRMS mobile application

# flutter packages pub run build_runner build
# dart run build_runner build --delete-conflicting-outputs
# dart run build_runner watch --delete-conflicting-outputs
# flutter build apk --debug
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 4.1.5+10

environment:
  sdk: ^3.6.0

dependencies:
  flutter:
    sdk: flutter


  #Animation
  lottie: ^3.3.1
  animations: ^2.0.11
  flutter_exif_rotation: ^0.5.2

  badges: ^3.1.2

  flutter_pdfview: ^1.4.0
  open_settings_plus: ^0.4.0
  local_auth: ^2.3.0
  maps_toolkit: ^3.0.0
  flutter_device_unique_id: ^1.0.3

  #Permissions
  permission_handler: ^11.3.1

  infinite_scroll_pagination: ^4.1.0
  webview_flutter: ^4.10.0
  cached_network_image: ^3.4.1

  #Permission
  disable_battery_optimizations_latest: ^1.0.0

  #BackgroundService
  flutter_background_service: ^5.1.0

  #Device
  device_info_plus: ^11.2.1
  flutter_activity_recognition: ^4.0.0
  battery_plus: ^6.2.1
  connectivity_plus: ^6.1.2

  #Base
  cupertino_icons: ^1.0.8
  nb_utils: ^7.0.9
  intl: ^0.20.2
  timeago: ^3.7.0
  flutter_dotenv: ^5.1.0

  #Validation
  validators: ^3.0.0

  # FIREBASE PACKAGES
  firebase_core: ^3.10.1
  firebase_messaging: ^15.2.1
  firebase_analytics: ^11.4.1
  firebase_crashlytics: ^4.3.1

  # Common
  share_plus: ^10.1.4
  url_launcher: ^6.3.1
  http: ^1.3.0
  shared_preferences: ^2.2.2
  html: ^0.15.5
  package_info_plus: ^8.1.3
  vibration: ^3.1.0

  # IMAGES
  image_picker: ^1.1.2
  file_picker: ^8.1.7
  photo_view: ^0.15.0
  flutter_svg: ^2.0.17

  # STATE MANAGEMENT
  mobx: ^2.5.0
  flutter_mobx: ^2.3.0
  provider: ^6.1.2

  # MAP
  google_maps_flutter: ^2.10.0
  google_places_flutter: ^2.0.9
  geolocator: ^13.0.2
  geocoding: ^3.0.0
  location: ^7.0.1

  # UI
  otp_text_field: ^1.1.3
  shimmer: ^3.0.0
  multi_dropdown: ^2.1.4
  iconsax: ^0.0.8
  stop_watch_timer: ^3.2.1
  flutter_staggered_grid_view: ^0.7.0
  timelines: ^0.1.0
  qr_flutter: ^4.1.0
  month_picker_dialog: ^5.1.3

  # NOTIFICATION
  flutter_local_notifications: ^18.0.1

  public_ip_address: ^1.2.0

  #QR CODE
  mobile_scanner: ^7.1.3

  video_player: ^2.10.1
  just_audio: ^0.9.43
  chewie: ^1.9.2
  record: ^5.2.0
  waveform_recorder: ^1.4.0
  audio_waveforms: ^1.2.0
  path_provider: ^2.1.5
  dio: ^5.7.0
  google_static_maps_controller: ^1.1.0
  flutter_sharing_intent: ^1.1.1
  uuid: ^4.5.1

  #DB
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  hive_generator: ^2.0.1

  google_fonts: ^6.2.1

  camera: ^0.11.3
  google_mlkit_face_detection: ^0.13.1


  flutter_localizations:
    sdk: flutter

dev_dependencies:
  flutter_test:
    sdk: flutter

  mobx_codegen: ^2.7.0
  build_runner: ^2.4.13
  flutter_launcher_icons: ^0.13.1

  flutter_lints: ^5.0.0

dependency_overrides:
  record_linux: ^1.2.0

flutter_launcher_icons:
  android: true
  ios: true
  image_path: "images/app_logo.png"


flutter:

  uses-material-design: true

  assets:
    - images/
    - images/flag/
    - images/chat/
    - images/errors/
    - images/attendance/
    - images/device/
    - images/maps/
    - images/3d/
    - images/new_icons/
    - images/file_type_icons/
    - assets/map_styles/
    - assets/animations/
    - assets/gif/
    - .env

  fonts:
    - family: lufga
      fonts:
        - asset: fonts/LufgaRegular.ttf
        - asset: fonts/LufgaMedium.ttf
